Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.framework
Class Controller

    java.lang.Object
      org.jboss.seam.framework.Controller

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BusinessProcessController, PersistenceController

    public abstract class Controller

extends Object
implements Serializable

Base class for controller objects. Provides various helper methods that help slightly reduce the code required to create a Seam component that acts as a controller.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`Controller()`

Method Summary
`protected void` | `addCookie(javax.servlet.http.Cookie cookie)`
`protected void` | `addFacesMessage(String messageTemplate, Object... params)`
`protected void` | `addFacesMessageFromResourceBundle(String key, Object... params)`
`protected Expressions.ValueExpression` | `createValueExpression(String expression)`
`protected
`<T> Expressions.ValueExpression<T>`
` | `createValueExpression(String expression, Class<T> type)`
`protected void` | `debug(Object object, Object... params)`
`protected void` | `debug(Object object, Throwable t, Object... params)`
`protected void` | `error(Object object, Object... params)`
`protected void` | `error(Object object, Throwable t, Object... params)`
`protected Object` | `evaluateValueExpression(String expression)`
`protected
`<T> T`
` | `evaluateValueExpression(String expression, Class<T> type)`
`protected void` | `failValidation()`
`protected void` | `fatal(Object object, Object... params)`
`protected void` | `fatal(Object object, Throwable t, Object... params)`
`protected Context` | `getApplicationContext()`
`protected Context` | `getBusinessProcessContext()`
`protected Object` | `getComponentInstance(Class clazz)`
`protected Object` | `getComponentInstance(String name)`
`protected Conversation` | `getConversation()`
`protected Context` | `getConversationContext()`
`protected javax.servlet.http.Cookie` | `getCookie(String name)`
`protected Context` | `getEventContext()`
`protected Events` | `getEvents()`
`protected javax.faces.context.FacesContext` | `getFacesContext()`
`protected FacesMessages` | `getFacesMessages()` Deprecated.
`protected Identity` | `getIdentity()`
`protected Log` | `getLog()`
`protected Map<String,String>` | `getMessages()`
`protected Context` | `getMethodContext()`
`protected Context` | `getPageContext()`
`protected Redirect` | `getRedirect()`
`protected Context` | `getSessionContext()`
`protected StatusMessages` | `getStatusMessages()`
`protected
`<T> ClassValidator<T>`
` | `getValidator(Class<T> modelClass)`
`protected
`<T> ClassValidator<T>`
` | `getValidator(T model)`
`protected void` | `info(Object object, Object... params)`
`protected void` | `info(Object object, Throwable t, Object... params)`
`protected String` | `interpolate(String string, Object... params)`
`protected void` | `invalidateSession()`
`protected boolean` | `isTransactionMarkedRollback()`
`protected void` | `raiseAsynchronousEvent(String type, Object... parameters)`
`protected void` | `raiseEvent(String type, Object... parameters)`
`protected void` | `raiseTransactionSuccessEvent(String type, Object... parameters)`
`protected String` | `render(String path)`
`protected void` | `sendHttpError(int code)`
`protected void` | `sendHttpError(int code, String message)`
`protected void` | `trace(Object object, Object... params)`
`protected void` | `trace(Object object, Throwable t, Object... params)`
`protected boolean` | `validationFailed()`
`protected boolean` | `validationSucceeded()`
`protected void` | `warn(Object object, Object... params)`
`protected void` | `warn(Object object, Throwable t, Object... params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Controller

    public Controller()

Method Detail

### getApplicationContext

    protected Context getApplicationContext()

### getBusinessProcessContext

    protected Context getBusinessProcessContext()

### getConversationContext

    protected Context getConversationContext()

### getEventContext

    protected Context getEventContext()

### getEvents

    protected Events getEvents()

### getConversation

    protected Conversation getConversation()

### getFacesMessages

    @Deprecated
    protected FacesMessages getFacesMessages()

  Deprecated.

### getStatusMessages

    protected StatusMessages getStatusMessages()

### getIdentity

    protected Identity getIdentity()

### getCookie

    protected javax.servlet.http.Cookie getCookie(String name)

### addCookie

    protected void addCookie(javax.servlet.http.Cookie cookie)

### addFacesMessage

    protected void addFacesMessage(String messageTemplate,
                                   Object... params)

### addFacesMessageFromResourceBundle

    protected void addFacesMessageFromResourceBundle(String key,
                                                     Object... params)

### render

    protected String render(String path)

### sendHttpError

    protected void sendHttpError(int code)

### sendHttpError

    protected void sendHttpError(int code,
                                 String message)

### getLog

    protected Log getLog()

### getMessages

    protected Map<String,String> getMessages()

### getMethodContext

    protected Context getMethodContext()

### getPageContext

    protected Context getPageContext()

### getRedirect

    protected Redirect getRedirect()

### getSessionContext

    protected Context getSessionContext()

### getFacesContext

    protected javax.faces.context.FacesContext getFacesContext()

### validationSucceeded

    protected boolean validationSucceeded()

### validationFailed

    protected boolean validationFailed()

### failValidation

    protected void failValidation()

### interpolate

    protected String interpolate(String string,
                                 Object... params)

### getValidator

    protected <T> ClassValidator<T> getValidator(Class<T> modelClass)

### getValidator

    protected <T> ClassValidator<T> getValidator(T model)

### debug

    protected void debug(Object object,
                         Object... params)

### debug

    protected void debug(Object object,
                         Throwable t,
                         Object... params)

### error

    protected void error(Object object,
                         Object... params)

### error

    protected void error(Object object,
                         Throwable t,
                         Object... params)

### fatal

    protected void fatal(Object object,
                         Object... params)

### fatal

    protected void fatal(Object object,
                         Throwable t,
                         Object... params)

### info

    protected void info(Object object,
                        Object... params)

### info

    protected void info(Object object,
                        Throwable t,
                        Object... params)

### trace

    protected void trace(Object object,
                         Object... params)

### trace

    protected void trace(Object object,
                         Throwable t,
                         Object... params)

### warn

    protected void warn(Object object,
                        Object... params)

### warn

    protected void warn(Object object,
                        Throwable t,
                        Object... params)

### raiseAsynchronousEvent

    protected void raiseAsynchronousEvent(String type,
                                          Object... parameters)

### raiseEvent

    protected void raiseEvent(String type,
                              Object... parameters)

### raiseTransactionSuccessEvent

    protected void raiseTransactionSuccessEvent(String type,
                                                Object... parameters)

### getComponentInstance

    protected Object getComponentInstance(String name)

### getComponentInstance

    protected Object getComponentInstance(Class clazz)

### invalidateSession

    protected void invalidateSession()

### isTransactionMarkedRollback

    protected boolean isTransactionMarkedRollback()

### evaluateValueExpression

    protected <T> T evaluateValueExpression(String expression,
                                            Class<T> type)

### evaluateValueExpression

    protected Object evaluateValueExpression(String expression)

### createValueExpression

    protected <T> Expressions.ValueExpression<T> createValueExpression(String expression,
                                                                       Class<T> type)

### createValueExpression

    protected Expressions.ValueExpression createValueExpression(String expression)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.